#
# spec file for package krusader (Version 1.70.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file fileshareset filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdebase3 kdebase3-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblazy liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sgml-skel strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           krusader
BuildRequires:  kdebase3-devel
%if %suse_version < 1010
BuildRequires:  update-desktop-files
%endif
Requires:       kio_iso
URL:            http://krusader.sourceforge.net/
License:        GNU General Public License (GPL)
Group:          Productivity/File utilities
Summary:        A File Manager
Version:        1.70.1
Release:        28.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        krusader-%{version}.tar.gz
Patch0:         krusader-1.70.0_compilerwarnings.patch
Patch1:         fix-duplicate-parameter.diff
Patch2:         fix-isoservice-desktop.diff
Patch3:         fix-preview-crash.diff

%description
A file manager.



Authors:
--------
    Shie Erlich <krusader@users.sourceforge.net>
    Rafi Yanai  <krusader@users.sourceforge.net>

%debug_package
%package -n kio_iso
Group:          System/GUI/KDE
Summary:        KIO slave to access ISO images

%description -n kio_iso
KIO slave to access ISO images



Authors:
--------
    Szombathelyi Gygy <gyurco@users.sourceforge.net>

%prep
%setup
%patch
%patch1
%patch2
%patch3
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
do_make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
%makeinstall
%find_lang %name
%suse_update_desktop_file krusader            System FileManager
%suse_update_desktop_file krusader_root-mode  System FileManager

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog INSTALL TODO 
/opt/kde3/bin/*
/opt/kde3/share/appl*/*/*
/opt/kde3/share/apps/krusader
/opt/kde3/share/icons/??color/??x??
/opt/kde3/share/icons/crystalsvg/??x??/
/opt/kde3/%_lib/kde3/kio_krarc.*
/opt/kde3/share/services/krarc.protocol
%_mandir/man1/*

%files -n kio_iso
%defattr(-,root,root)
%config /opt/kde3/share/config/kio_isorc
/opt/kde3/%_lib/kde3/kio_iso.*
/opt/kde3/share/services/iso.protocol
/opt/kde3/share/apps/konqueror

%changelog -n krusader
* Fri Dec 01 2006 - stbinner@suse.de
- fix crashes when viewing file properties (#223673)
* Fri Nov 24 2006 - stbinner@suse.de
- fix "ISO9660 View" action in Konqueror's context menu (#223590)
* Wed Sep 27 2006 - stbinner@suse.de
- update to 1.70.1
  * fixed sometimes passwords stored in cleartext in bookmarks.xml
  * fixed several memory access faults discovered with valgrind
  * added Turkish translatio
- split off kio_iso package
* Fri Sep 08 2006 - stbinner@suse.de
- fix duplicate parameter (#177156)
* Wed Jun 21 2006 - dmueller@suse.de
- fix build with gcc >= 4.2.0
* Tue Jun 20 2006 - dmueller@suse.de
- build parallel
* Tue May 30 2006 - adrian@suse.de
- fix build for < 10.1
* Tue Feb 14 2006 - mrueckert@suse.de
- Update to 1.70.0 [#116456]
- removed all previous patches
- added krusader-1.70.0_compilerwarnings.patch
  fixes a few "non void functions without return statement"
  warnings
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Oct 30 2005 - stbinner@suse.de
- update to version 1.60.1
* Wed May 25 2005 - adrian@suse.de
- fix build for gcc 4
* Thu Apr 14 2005 - adrian@suse.de
- update to version 1.60.0
* Thu Feb 17 2005 - adrian@suse.de
- menu entry moved to xdg dir
* Fri Feb 11 2005 - coolo@suse.de
- update to version 1.51 and replay history of the last 3 years
* Sun Aug 18 2002 - adrian@suse.de
- update to version 1.1
  (hopefully fixes the reported random crashes for some users)
* Fri May 24 2002 - coolo@suse.de
- update_admin
* Tue Apr 16 2002 - adrian@suse.de
- update to 1.02 (official compile fix)
* Sat Apr 13 2002 - adrian@suse.de
- update to 1.01 (KDE3 support)
- gcc 3 fixes
* Wed Jan 02 2002 - adrian@suse.de
- update to final 1.00
* Wed Dec 19 2001 - adrian@suse.de
- update to RC1
* Thu Dec 06 2001 - adrian@suse.de
- update to version 0.99
* Tue Nov 13 2001 - ro@suse.de
- fix for automake 1.5
* Fri Nov 09 2001 - adrian@suse.de
- use kde2-devel-packages
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Aug 10 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul 24 2001 - adrian@suse.de
- New version 0.95.1
* Sun Jul 15 2001 - @suse.de
- New version 0.93.1
* Thu Jun 28 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Mon Apr 30 2001 - adrian@suse.de
- fix install pathes
* Mon Apr 30 2001 - adrian@suse.de
- Spec file created from krusader-0.79.tar.bz2 by autospec
* Thu Apr 19 2001 - ro@suse.de
- added openssl-devel to neededforbuild
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Sun Mar 04 2001 - adrian@suse.de
- update to 0.79-1
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Mon Jan 01 2001 - adrian@suse.de
- update to 0.75-1
* Fri Dec 01 2000 - kukuk@suse.de
- Remove duplicate entries
* Fri Dec 01 2000 - kukuk@suse.de
- export KDEDIR
- Fix filelist
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Sat Nov 11 2000 - adrian@suse.de
- initial package
